#
# spec file for package something-for-reddit
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global gobject_introspection_version 1.35.9
%global gtk3_version 3.13.2
%global soup_version 2.4
Name:           something-for-reddit
Version:        0.2.2
Release:        1.12
Summary:        Browse Reddit from GNOME
License:        GPL-3.0-or-later
URL:            https://github.com/samdroid-apps/something-for-reddit
Source:         %{url}/archive/v%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig
BuildRequires:  python3-Markdown
BuildRequires:  python3-arrow
BuildRequires:  python3-devel
BuildRequires:  sassc
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= %{gobject_introspection_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(libsoup-2.4) >= %{soup_version}
Requires:       python3-Markdown
Requires:       python3-arrow
Requires:       python3-gobject-Gdk
BuildArch:      noarch
%glib2_gsettings_schema_requires

%description
This is a Reddit client, built with Gtk+ and optimized for GNOME.

%prep
%autosetup -p1
sed -i -e "1s|#!.*|#!/usr/bin/python3|" reddit-is-gtk.in

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install
rm %{buildroot}%{python3_sitelib}/redditisgtk/Makefile # drop arch-specific file to make it a noarch package
%fdupes %{buildroot}%{_prefix}

%files
%license COPYING
%{_bindir}/reddit-is-gtk
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/
%{_datadir}/metainfo/reddit-is-gtk.appdata.xml
%dir %{_datadir}/appdata
%{_datadir}/appdata/reddit-is-gtk.appdata.xml
%{_datadir}/glib-2.0/schemas/today.sam.something-for-reddit.gschema.xml
%{_datadir}/applications/reddit-is-gtk.desktop
%{python3_sitelib}/redditisgtk

%changelog
* Thu Dec  9 2021 Bjørn Lie <bjorn.lie@gmail.com>
- Update to version 0.2.2:
  + The frontpage is now visible. You can see it by going to / in
    the url bar.
  + The app now supports Flatpak & NixOS installation
  + Performance improvements in the comments view
  + The codebase is now tested! I'm pretty sure this is one of the
    only GTK+ apps which has proper UI tests - so this should stop
    more regressions in the future!
- Changes from version 0.2.1:
  + Replaced the markdown engine, should now support more features
  + The alignment in subreddit listings should now be more uniform
  + Many size related bugs have been fixed
  + The url bar is now less lenient on formatting. Previously,
    going to /linux would take you to /r/linux. Due to the
    frontpage changes, this no longer happens
  + [PACKAGING] Moved icons from pixmaps to the hicolor directory
  + [PACKAGING] Change SCSS compiler from ruby sass to sassc
- Drop desktop.patch: Fixed upstream.
- Replace ruby(sass) for sassc
- Fix python env to be py3 via sed call
- Modernize spec, drop no longer needed post(un) calls.
* Wed Sep 26 2018 Bernhard Wiedemann <bwiedemann@suse.com>
- Drop arch-specific Makefile (boo#1109534)
* Sun Jul 10 2016 mailaender@opensuse.org
- initial packaging of version 0.2
